List registered users on DD with a the given role.
---
# NotaBLE és la col·laboració entre Gwido i el Workspace educatiu DD.
#
# És un projecte de Xnet, IsardVDI, Gwido i Taller de Músics,
# guanyador de la Ciutat Proactiva 2021, suport a la innovació urbana de
# la Fundació BitHabitat.

consumes:
  - application/json
parameters:
  - in: body
    name: role
    description: |
      The role to search users registered on DD.
      One of 'id', 'name' and 'keycloak_id' must be provided.
      This is also the order in which the parameters are checked,
      in case multiple are provided.
    schema:
      type: object
      properties:
        id:
          type: string
          required: False
        name:
          type: string
          required: False
        keycloak_id:
          type: string
          format: uuid
          required: False
responses:
  200:
    description: |
        The list of users registered on DD with the filter applied.
    schema:
      $ref: '#/definitions/Users'
